Bug 1118392 - postgresql-9.3.4-8.fc21 FTBFS randomly
Summary: postgresql-9.3.4-8.fc21 FTBFS randomly
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 15:09 UTC by Petr Pisar
Modified: 2014-11-24 14:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 14:24:29 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-07-10 15:09:19 UTC
I rebuild Fedora perl packages each week and I discovered that postgresql-9.3.4-8.fc21 fails tests sometimes:

[...]
test prepare                  ... ok
test without_oid              ... FAILED
test conversion               ... ok
test truncate                 ... ok
test alter_table              ... ok
test sequence                 ... ok
test polymorphism             ... ok
test rowtypes                 ... ok
test returning                ... ok
test largeobject              ... ok
test with                     ... ok
test xml                      ... ok
test stats                    ... FAILED
========================
 2 of 136 tests failed. 
========================
The differences that caused some tests to fail can be viewed in the
file "/builddir/build/BUILD/postgresql-9.3.4/src/test/regress/regression.diffs".  A copy of the test summary that you see
above is saved in the file "/builddir/build/BUILD/postgresql-9.3.4/src/test/regress/regression.out".
GNUmakefile:141: recipe for target 'installcheck' failed
make[1]: Leaving directory '/builddir/build/BUILD/postgresql-9.3.4/src/test/regress'

The sometimes means twice <http://ppisar.fedorapeople.org/perl_rebuild/scratch/index.xhtml#ppostgresql> in last eight attempts.

This can be a race condition in the tests as my builder is usually overloaded (especially the I/O).

I don't have detailed logs from the BUILD direcotory as the mock environments are deleted. I report this issue only to be sure that you know about that.

Comment 1 Pavel Raiskup 2014-07-14 08:02:39 UTC
Thanks for the report.  I am unable to reproduce that locally but I'll keep this
open for some time.  And.. at least we could forward regression.diffs content to
build.log in case of test failure.

Comment 2 Pavel Raiskup 2014-11-24 14:24:29 UTC
Petr, again, thanks for reporting that.  However, I was unable to reproduce so
far so I am closing this bug INSUFFICIENT_DATA.

Anyway, I applied fix in spec file which should give use more info next time,
in particular 'regressions.diffs' contents:
http://pkgs.fedoraproject.org/cgit/postgresql.git/commit/?id=1ade253


Note You need to log in before you can comment on or make changes to this bug.